diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/utils/tests/test-test.py ns-3.36/utils/tests/test-test.py
--- ns-3.35/utils/tests/test-test.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/utils/tests/test-test.py	2022-04-30 18:23:58.234735300 -0700
@@ -45,7 +45,7 @@
 #   -l, --list            print the list of known tests
 #   -m, --multiple        report multiple failures from test suites and test
 #                         cases
-#   -n, --nowaf           do not run waf before starting testing
+#   -n, --no-build           do not run ns3 before starting testing
 #   -p PYEXAMPLE, --pyexample=PYEXAMPLE
 #                         specify a single python example to run (with relative
 #                         path)
@@ -93,7 +93,7 @@
       '-m',
       '--multiple',
       '-n',
-      '--nowaf',
+      '--no-build',
       '-p first',
       '--pyexample=first',
       '-r',
@@ -111,8 +111,8 @@
       '--xml=t_opt.xml && rm -rf t_opt.xml',
     ]
 
-    configure_string = sys.executable + ' waf configure --enable-tests --enable-examples'
-    clean_string = sys.executable + ' waf clean'
+    configure_string = sys.executable + ' ns3 configure --enable-tests --enable-examples'
+    clean_string = sys.executable + ' ns3 clean'
     cmd_execute_list = [ '%s && %s test.py %s && %s' % (configure_string, sys.executable, option, clean_string) for option in test_cases]
     runner = TestBaseClass(argv[1:], "Test suite for the ns-3 unit test runner" , 'test-py')
     return runner.runtests(cmd_execute_list)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/utils.py ns-3.36/utils.py
--- ns-3.35/utils.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/utils.py	2022-04-30 18:23:58.234735300 -0700
@@ -1,6 +1,6 @@
 #! /usr/bin/env python3
 
-# These methods are used by test.py and waf to look for and read the
+# These methods are used by test.py to look for and read the
 # .ns3rc configuration file, which is used to specify the modules that
 # should be enabled
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/VERSION ns-3.36/VERSION
--- ns-3.35/VERSION	2021-10-01 13:27:51.000000000 -0700
+++ ns-3.36/VERSION	2022-04-30 18:27:14.427631600 -0700
@@ -1 +1 @@
-3.35
+3.36
